org.jboss.resteasy.core

## Class MessageBodyParameterInjector

- java.lang.Object
- - org.jboss.resteasy.core.MessageBodyParameterInjector

- All Implemented Interfaces:
    JaxrsInterceptorRegistryListener, ValueInjector

      public class MessageBodyParameterInjector
      extends Object
      implements ValueInjector, JaxrsInterceptorRegistryListener

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageBodyParameterInjector(Class declaringClass, AccessibleObject target, Class type, Type genericType, Annotation[] annotations, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `bodyCount()`
    `static void` | `clearBodies()`
    `static Object` | `getBody()`
    `Object` | `inject()` Inject outside the context of an HTTP request.
    `Object` | `inject(HttpRequest request, HttpResponse response)` Inject inside the context of an HTTP request.
    `boolean` | `isFormData(Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType)`
    `static Object` | `popBody()`
    `static void` | `pushBody(Object o)`
    `void` | `registryUpdated(JaxrsInterceptorRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageBodyParameterInjector

          public MessageBodyParameterInjector(Class declaringClass,
                                      AccessibleObject target,
                                      Class type,
                                      Type genericType,
                                      Annotation[] annotations,
                                      ResteasyProviderFactory factory)

  - ### Method Detail

    - #### pushBody

          public static void pushBody(Object o)

    - #### getBody

          public static Object getBody()

    - #### popBody

          public static Object popBody()

    - #### bodyCount

          public static int bodyCount()

    - #### clearBodies

          public static void clearBodies()

    - #### registryUpdated

          public void registryUpdated(JaxrsInterceptorRegistry registry)

      Specified by:
        `registryUpdated` in interface `JaxrsInterceptorRegistryListener`

    - #### isFormData

          public boolean isFormData(Class<?> type,
                           Type genericType,
                           Annotation[] annotations,
                           MediaType mediaType)

    - #### inject

          public Object inject(HttpRequest request,
                      HttpResponse response)

      Description copied from interface: `ValueInjector`
      Inject inside the context of an HTTP request.
      Specified by:
        `inject` in interface `ValueInjector`
      Returns:

    - #### inject

          public Object inject()

      Description copied from interface: `ValueInjector`
      Inject outside the context of an HTTP request. For instance, a singleton may have proxiable and injectable jax-rs objects like Request, UriInfo, or HttpHeaders.
      Specified by:
        `inject` in interface `ValueInjector`
      Returns:

Copyright © 2014. All Rights Reserved.